%define binsuffix %{?flavour:-%{flavour}}
%define uname  %{kernel_version}%{?flavour}

Summary: Linux MD3000 RDAC multipath -- kernel modules
Name: md3000-rdac
Version: 09.03.0C05.0642
Release: 1138
License: GPL
Group: Applications/System
Source0: rdac-LINUX-%{version}-source.tar.gz
Patch0: linuxrdac-makefile.patch
Patch1: linuxrdac-path-status.patch
Patch3: linuxrdac-localcopy-base.h.patch
Patch4: linuxrdac-class_dev-buildfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description

%package modules%{binsuffix}-%{kernel_version}
Summary: Linux MD3000 RDAC multipath -- kernel modules
Group: System Environment/Kernel
Requires: kernel%{binsuffix} = %{kernel_version}
Provides: %{name}-modules%{binsuffix} = %{kernel_version}

%description modules%{binsuffix}-%{kernel_version}
MD3000 RDAC multipath kernel modules compiled against kernel
version %{uname}.

%prep
%setup -q -n linuxrdac-09.03.0C05.0642
%patch0 -p1 -b ~makefile
%patch1 -p1 -b ~status
%patch3 -p1 -b ~base.h
%patch4 -p1 -b ~build

%build

%{__make} -C /lib/modules/%{uname}/build M=$(pwd) KCPPFLAGS=-I/usr/src/linux-%{kernel_version} modules

%{__make} mppUtil

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C /lib/modules/%{uname}/build M=$(pwd) \
	INSTALL_MOD_DIR=kernel/drivers/scsi \
	INSTALL_MOD_PATH=$RPM_BUILD_ROOT \
	modules_install

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}/
cp mppUtil $RPM_BUILD_ROOT%{_libexecdir}/%{name}/mppUtil-%{uname}

%clean
rm -rf $RPM_BUILD_ROOT

%post modules%{binsuffix}-%{kernel_version}
depmod %{uname}

%files modules%{binsuffix}-%{kernel_version}
%defattr(-,root,root,-)
/lib/modules/%{uname}/kernel/drivers/scsi/mppUpper.ko
/lib/modules/%{uname}/kernel/drivers/scsi/mppVhba.ko
%{_libexecdir}/%{name}/mppUtil-%{uname}
%doc

%changelog
